import type { HTMLAttributes } from "react";
import type { LinkProps } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/core/components/Link";
interface RawMaybeLinkProps {
    to?: string;
    activeColor?: string;
    inactiveColor?: string;
    isSingleLine?: boolean;
}
export declare function RawMaybeLink({ to, activeColor, inactiveColor, isSingleLine, ...props }: RawMaybeLinkProps & (LinkProps | HTMLAttributes<HTMLSpanElement>)): import("react/jsx-runtime").JSX.Element;
export declare const MaybeLink: import("@emotion/styled").StyledComponent<(RawMaybeLinkProps & (HTMLAttributes<HTMLSpanElement> | LinkProps)) & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const BadgeIcon: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").IconProps & import("react").RefAttributes<SVGSVGElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    hasMargin: boolean;
}, {}, {}>;
export declare const BadgeText: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    isSingleLine: boolean;
}, import("react").DetailedHTMLProps<HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export {};
